IDableDigraphComponent< BAS > Class Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
IDableDigraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseDigraphComponent>
class lemon::concepts::IDableDigraphComponent< BAS >

This class describes the interface of idable directed graphs. It extends BaseDigraphComponent with the core ID functions. The ids of the items must be unique and immutable. This concept is part of the Digraph concept.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for IDableDigraphComponent< BAS >:
[legend]

## Public Member Functions
int | id (const Node &) const
| Return a unique integer id for the given node. More...
Node | nodeFromId (int) const
| Return the node by its unique id. More...
int | id (const Arc &) const
| Return a unique integer id for the given arc. More...
Arc | arcFromId (int) const
| Return the arc by its unique id. More...
int | maxNodeId () const
| Return an integer greater or equal to the maximum node id. More...
int | maxArcId () const
| Return an integer greater or equal to the maximum arc id. More...

## Member Function Documentation

int id | ( | const Node & |  | ) | const
| inline

This function returns a unique integer id for the given node.

Node nodeFromId | ( | int |  | ) | const
| inline

This function returns the node by its unique id. If the digraph does not contain a node with the given id, then the result of the function is undefined.

int id | ( | const Arc & |  | ) | const
| inline

This function returns a unique integer id for the given arc.

Arc arcFromId | ( | int |  | ) | const
| inline

This function returns the arc by its unique id. If the digraph does not contain an arc with the given id, then the result of the function is undefined.

int maxNodeId | ( |  | ) | const
| inline

This function returns an integer greater or equal to the maximum node id.

int maxArcId | ( |  | ) | const
| inline

This function returns an integer greater or equal to the maximum arc id.